# Interface WebappProperties

All Known Implementing Classes:
  `ParallelWebappClassLoader, WebappClassLoader, WebappClassLoaderBase`

public interface WebappProperties
An interface intended for use by class loaders associated with a web application that enables them to provide additional information to JULI about the web application with which they are associated. For any web application the combination of `getWebappName()`, `getHostName()` and `getServiceName()` must be unique.

## Method Summary

Modifier and Type
Method
Description
`String`
`getHostName()`
Returns a name for the logging system to use for the Host where the web application, if any, associated with the class loader is deployed.
`String`
`getServiceName()`
Returns a name for the logging system to use for the Service where the Host, if any, associated with the class loader is deployed.
`String`
`getWebappName()`
Returns a name for the logging system to use for the web application, if any, associated with the class loader.
`boolean`
`hasLoggingConfig()`
Deprecated.
Unused.

## Method Details

### getWebappName

String getWebappName()
Returns a name for the logging system to use for the web application, if any, associated with the class loader.

Returns:
  The name to use for the web application or null if none is available.

### getHostName

String getHostName()
Returns a name for the logging system to use for the Host where the web application, if any, associated with the class loader is deployed.

Returns:
  The name to use for the Host where the web application is deployed or null if none is available.

### getServiceName

String getServiceName()
Returns a name for the logging system to use for the Service where the Host, if any, associated with the class loader is deployed.

Returns:
  The name to use for the Service where the Host is deployed or null if none is available.

### hasLoggingConfig

@Deprecated boolean hasLoggingConfig()
Deprecated.
Unused. Will be removed in Tomcat 12 onwards.
Enables JULI to determine if the web application includes a local configuration without JULI having to look for the file which it may not have permission to do when running under a SecurityManager.

Returns:
  `true` if the web application includes a logging configuration at the standard location of /WEB-INF/classes/logging.properties.